package com.qianhe.zqbf.controller;

import com.qianhe.common.core.controller.BaseController;
import com.qianhe.common.core.domain.AjaxResult;
import com.qianhe.zqbf.domain.ZqczXmzBfpz;
import com.qianhe.zqbf.domain.ZqczXmzDdzj;
import com.qianhe.zqbf.service.ZqczXmzBfpzService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/zqbf/bfpz")
public class ZqczXmzBfpzController extends BaseController {
    @Autowired
    private ZqczXmzBfpzService zqczXmzBfpzService;

    /**
     * 分页查询
     */
    @GetMapping("/list")
    public AjaxResult list(ZqczXmzBfpz zqczXmzBfpz) {
        try {
            return success(zqczXmzBfpzService.list(zqczXmzBfpz));
        } catch (Exception e) {
            log.error(e.getMessage());
            return error(e.getMessage());
        }
    }
}
